<?php

namespace Drupal\lcdr_flashpoint\Plugin\flashpoint_access;

use Drupal\Core\Plugin\PluginBase;
use Drupal\Core\Session\AccountInterface;
use Drupal\flashpoint\FlashpointAccessMethodInterface;


/**
 * @FlashpointAccessMethod(
 *   id = "is_course_creator",
 *   label = @Translation("Is Course Creator")
 * )
 */
class IsCourseCreator extends PluginBase implements FlashpointAccessMethodInterface
{

  /**
   * @return string
   *   A string description.
   */
  public function description() {
    return $this->t('Course creators and admins may access this course');
  }

  /**
   * @param $course
   * @param AccountInterface $account
   *
   * Determines whether someone has access to enroll in a course
   * @return boolean
   */
  public static function checkAccess($course, AccountInterface $account) {
    $roles = $account->getRoles();
    return in_array('course_creator', $roles) || in_array('administrator', $roles);
  }
}