<?php

namespace Drupal\lcdr_flashpoint\Plugin\flashpoint_access;

use Drupal\Core\Plugin\PluginBase;
use Drupal\Core\Session\AccountInterface;
use Drupal\flashpoint\FlashpointAccessMethodInterface;
use Drupal\group\Entity\GroupContent;
use Drupal\group\GroupMembership;
use Drupal\group\GroupMembershipLoader;
use Drupal\group\GroupMembershipLoaderInterface;
use http\Client\Curl\User;


/**
 * @FlashpointAccessMethod(
 *   id = "is_operation_coordinator",
 *   label = @Translation("Is Operation Coordinator")
 * )
 */
class IsOperationCoordinator extends PluginBase implements FlashpointAccessMethodInterface {

  /**
   * @return string
   *   A string description.
   */
  public function description() {
    return $this->t('Course creators and admins may access this course');
  }

  /**
   * @param $course
   * @param AccountInterface $account
   *
   * Determines whether someone has access to enroll in a course
   * @return boolean
   */
  public static function checkAccess($course, AccountInterface $account) {
    $uid = $account->id();
    $user = \Drupal\user\Entity\User::load($uid);
    $gcs = GroupContent::loadByEntity($user);
    foreach ($gcs as $gc) {
      /* @var $gc \Drupal\group\Entity\GroupContent */
      $type = $gc->getGroupContentType()->id();
      if ($type === 'operation-group_membership') {
        $gc_arr = $gc->toArray();
        foreach ($gc_arr['group_roles'] as $posn => $role) {
          if($role['target_id'] === 'operation-admin') {
            return TRUE;
          }
        }
      }
    }
    return FALSE;
  }
}