<?php

namespace Drupal\lcdr_flashpoint\Plugin\flashpoint_access;

use Drupal\Core\Plugin\PluginBase;
use Drupal\Core\Session\AccountInterface;
use Drupal\flashpoint\FlashpointAccessMethodInterface;


/**
 * @FlashpointAccessMethod(
 *   id = "is_operations_creator",
 *   label = @Translation("Is Operations Creator")
 * )
 */
class IsOperationsCreator extends PluginBase implements FlashpointAccessMethodInterface
{

  /**
   * @return string
   *   A string description.
   */
  public function description() {
    return $this->t('Operations creators and admins may access this operations');
  }

  /**
   * @param $operations
   * @param AccountInterface $account
   *
   * Determines whether someone has access to enroll in a operations
   * @return boolean
   */
  public static function checkAccess($operations, AccountInterface $account) {
    $roles = $account->getRoles();
    return in_array('operations_creator', $roles) || in_array('administrator', $roles);
  }
}